#include "peripherals.h"

/* LCDIF_IRQn interrupt handler */
void LCDIF_LCDIF_IRQHANDLER(void) {
    /*  Place your code here */
    uint32_t int_status = ELCDIF_GetInterruptStatus(LCDIF_PERIPHERAL);
    ELCDIF_ClearInterruptStatus(LCDIF_PERIPHERAL, int_status);
    /* Add for ARM errata 838869, affects Cortex-M4, Cortex-M4F
       Store immediate overlapping exception return operation might vector to incorrect interrupt. */
#if defined __CORTEX_M && (__CORTEX_M == 4U)
    __DSB();
#endif
}
